Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_pisces_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_pisces_cfg	(revision 6600)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_pisces_cfg	(revision 6601)
@@ -1,12 +1,15 @@
 !-----------------------------------------------------------------------
 &nampismod     !  Model used 
+!-----------------------------------------------------------------------
   ln_p4z    = .true.         !  PISCES model used
+  ln_dms    = _AUTO_: DEFAULT=.FALSE.   !  DMS emission module
+  ln_n2o    = _AUTO_: DEFAULT=.FALSE.   !  N2O cycling module
+  ln_bvocs  = _AUTO_: DEFAULT=.FALSE.   !  biogenic emission module (CO, COS, Isoprene)
 /
 !-----------------------------------------------------------------------
 &nampisext     !   air-sea exchange
 !-----------------------------------------------------------------------
-   ln_co2int  = _AUTO_: DEFAULT=.false. ! read atm pco2 from a file (T) or constant (F)
    atcco2     = _AUTO_: DEFAULT=278.    ! Constant value atmospheric pCO2 - ln_co2int = F
-   clname     =  'atcco2.txt'  ! Name of atm pCO2 file - ln_co2int = T
+   clname     =  'atmco2.txt'  ! Name of atm pCO2 file - ln_co2int = T
    nn_offset  =  0       ! Offset model-data start year - ln_co2int = T
 !                        ! If your model year is iyy, nn_offset=(years(1)-iyy)
@@ -20,5 +23,57 @@
 &nampisbio     !   biological parameters
 !-----------------------------------------------------------------------
-   nrdttrc    =  _AUTO_
+   nrdttrc    =  _AUTO_: DEFAULT=1
+/
+!-----------------------------------------------------------------------
+&namgasdms     !   DMS
+!-----------------------------------------------------------------------
+   xkdms      = 1.25E-9   !  DMS half saturation for bacterial loss = 1.25E-9
+   xscdiat    = 0.0018    ! S/C ratio for diatoms = 0.0018
+   xscnanom   = 0.015     ! min S/C ratio for nano = 0.015
+   xscnanov   = 0.015     ! var S/C ratio for nano = 0.015
+   xysvar     = 0.5       ! DMSP-to-DMS yield var = 0.2
+   xysmin     = 0.1       ! DMSP-to-DMS yield min = 0.4
+   xknfer     = 1.e-11    ! DMS FER  half saturation for nano = 2.e-11
+   xkdfer     =  0.5e-10  ! DMS FER  half saturation for diatoms = 1.e-10
+   xkdocdms   = 5.e-6     ! DMS DOC  half saturation = 5.e-6
+   xknpo4     = 2.e-7     ! DMS PO4  half saturation for nano = 1.e-7
+   xkdpo4     = 10.e-7    ! DMS PO4  half saturation for diatoms = 5.e-7
+   xlightdms  = 0.05      ! photodegradation rate constant of DMS
+   xsinkdms   = 0.4       ! microbial degradation rate of DMS
+   xvsinkdms  = 1.        ! microbial degradation rate of DMS VOGT
+   ln_phdms = .true.      ! pH dependancy to DMS production (Six et al. 2013)
+/
+!-----------------------------------------------------------------------
+&namgasn2o     !   N2O
+!-----------------------------------------------------------------------
+   atcn2o     = _AUTO_: DEFAULT=280.      ! Constant value atmospheric pN2O (ppb)
+   alphan2o   = 1.5e-4    ! Nitrification coefficient for n2o
+   betan2o    = 120.e-4   ! Denitrification coefficient for n2o
+   xlow       =  1.0      ! Lower boundary of suboxia for N2O production
+   xhigh      = 5.0       ! Upper boundary of suboxia for N2O production
+   sinkn2o    = 4.1e-4    ! N2O sink term coefficient (d-1)
+                          ! Martinez-Rey 2015 : 0.138 yr-1 ===> 3.7e-4 d-1
+                          ! Berthet 2022      : 7.12e-4 d-1
+/
+!-----------------------------------------------------------------------
+&namgasbvocs     !   BVOCs
+!-----------------------------------------------------------------------
+   atccos      = _AUTO_: DEFAULT=450.  ! Constant value atmospheric pCOS (ppt)
+   atcco       = 90.e-12    ! units atm (90 ppbv) Fraction molaire du pCO
+   atcisp      = 0.        ! units atm (0 ppt/ 0.4 ppt ) Fraction molaire pIsoprene
+   uvlux       = 0.044     ! proportion of UV radiant flux to global solar radiation
+   xnanoco    =  85.5       ! Production of CO via nanophyto (Âµmol.gChla-1.d-1)
+   xdiaco     =  33.0       ! Production of CO via diatoms   (Âµmol.gChla-1.d-1) - From Gros et al. 2009
+   Isp_flum   =  0.0        ! 0 if isoprene production NOT depend on light / 1 if depend on light
+   ImIsp      =  30.0        ! W.m-2 / in case of Isp_flum = 1 - mean light (etot_ndcy)
+   atempIsp   =  0.05       ! Temperature dependance for Isp production
+   temoyIsp   =  16.5       ! Mean Temperature for Isoprene production with temperature dependance
+   muIsp_n    =  0.45       ! mu rate for Nano (Âµmol.gChla.h-1) - Ludivine C. version
+   muIsp_d    =  0.25       ! mu rate for Diat (Âµmol.gChla.h-1) - Ludivine C. version
+   xprodco    =  9.577e-11  ! Rate constant of CO photoproduction (mol.W-1.s-1)
+   xsinkco    =  0.2        ! Rate constant for CO microbial sink (d-1)
+   ln_bactconsco = .false.   ! Bacterial Conso. of CO not depend (0-use xsinkco) or depend on Temperature and Chla (1)
+   ln_darkprodco = .true.   ! Representation of the Dark production of CO :  Yes=1 or No=0
+   xsinkisp   =  0.01       ! Rate constant for isoprene sink (d-1)
 /
 !-----------------------------------------------------------------------
@@ -37,5 +92,11 @@
 &nampisopt     !   parameters for optics
 !-----------------------------------------------------------------------
-/ 
+!              !  file name     ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_par      = 'par_fraction.orca' ,     24            , 'fr_par'  ,  .true.      , .true. , 'yearly'  , ''       , ''       , ''
+   cn_dir      = './'      !  root directory for the location of the dynamical files
+   ln_varpar   =  .true.   ! boolean for PAR variable
+   parlux      =  0.43      ! Fraction of shortwave as PAR
+/
 !-----------------------------------------------------------------------
 &namp4zprod    !   parameters for phytoplankton growth for PISCES std  - ln_p4z
@@ -85,27 +146,27 @@
 &nampiscal     !   parameters for Calcite chemistry
 !-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&nampissbc     !   parameters for inputs deposition
-!-----------------------------------------------------------------------
-   ln_dust     =  .true.   ! boolean for dust input from the atmosphere
-   ln_solub    =  .true.   ! boolean for variable solubility of atm. Iron
-   ln_river    =  .true.   ! boolean for river input of nutrients
-   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
+   kdca       =  20.     ! calcite dissolution rate constant (1/time)
+   nca        =  4.7      ! order of dissolution reaction (dimensionless)
+/
+!-----------------------------------------------------------------------
+&nampisbc     !   parameters for inputs deposition
+!-----------------------------------------------------------------------
+!              !  file name        ! frequency (hours) ! variable      ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !                   !  (if <0  months)  !   name        !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+!-----------------------------------------------------------------------
+   sn_dust     = 'dustdep'         ,       -1          , 'dust'        ,  .true.      , .true. , 'yearly'  , 'weights_2D_r360x180_bilin.nc'       , ''    , ''
+   sn_ironsed  = 'pmarge.orca'     ,    -12            , 'bathy'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+   sn_hydrofe  = 'hydrofe.orca'    ,    -12            , 'epsdb'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+!
+   cn_dir      = './'      !  root directory for the location of the dynamical files
    ln_ironsed  =  .true.   ! boolean for Fe input from sediments
    ln_ironice  =  .true.   ! boolean for Fe input from sea ice
-   ln_hydrofe  =  .false.  ! boolean for from hydrothermal vents
-   !
-   sn_dust     = 'dust.orca.nc'    ,    -1             , 'dust'        ,  .true.      , .true. , 'yearly'  , 'weights_lmd144142_bilin.nc', ''    , ''
-   sn_solub    = 'solubility.orca' ,    -12            , 'solubility1' ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdic = 'river.orca'      ,    -1             , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdoc = 'river.orca'      ,    -1             , 'riverdoc'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdin = 'river.orca'      ,    -1             , 'riverdin'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdon = 'river.orca'      ,    -1             , 'riverdon'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdip = 'river.orca'      ,    -1             , 'riverdip'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdop = 'river.orca'      ,    -1             , 'riverdop'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_riverdsi = 'river.orca'      ,    -1             , 'riverdsi'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
-   sn_ndepo    = 'ndeposition.orca',    -1             , 'ndep'        ,  .true.      , .true. , 'yearly'  , 'weights_2d_bilin.nc', ''    , ''
-   sn_ironsed  = 'bathy.orca'      ,    -12            , 'bathy'       ,  .false.     , .true. , 'yearly'  , ''       , ''    , ''
+   ln_hydrofe  =  .false.   ! boolean for from hydrothermal vents
+   sedfeinput  =  2.e-9    ! Coastal release of Iron
+   distcoast   =  5.e3     ! Distance off the coast for Iron from sediments
+   mfrac       =  0.035    ! Fe mineral fraction of dust
+   wdust       =  2.0      ! Dust sinking speed
+   icefeinput  =  15.e-9   ! Iron concentration in sea ice
+   hratio      =  1.e+7    ! Fe to 3He ratio assumed for vent iron supply
 /
 !-----------------------------------------------------------------------
@@ -118,5 +179,5 @@
 /
 !-----------------------------------------------------------------------
-&nampisdmp     !   Damping 
+&nampisdmp     !   Damping
 !-----------------------------------------------------------------------
   nn_pisdmp   =  _AUTO_
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_innert_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_innert_cfg	(revision 6601)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_innert_cfg	(revision 6601)
@@ -0,0 +1,71 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_top_ref
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   ln_rsttr      = _AUTO_
+   nn_rsttr      = _AUTO_
+   ln_top_euler  = .true.
+/
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  0
+!
+   ln_pisces     =  .false.
+   ln_my_trc     =  .false.
+   ln_age        =  _AUTO_
+   ln_cfc11      =  _AUTO_ 
+   ln_cfc12      =  _AUTO_
+   ln_sf6        =  _AUTO_
+   ln_c14        =  _AUTO_
+/
+!-----------------------------------------------------------------------
+&namage          !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_fct =  .true.  !  FCT scheme
+      nn_fct_h   =  2               !  =2/4, horizontal 2nd / 4th order 
+      nn_fct_v   =  2               !  =2/4, vertical   2nd / COMPACT 4th order 
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcldf_tra   = .true.      !  use active tracer setting
+/
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_snk      !  sedimentation of particles
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+/
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_cfg	(revision 6601)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_cfg	(revision 6601)
@@ -0,0 +1,161 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  Configuration namelist : used to overwrite defaults values defined in SHARED/namelist_top_ref
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!-----------------------------------------------------------------------
+&namtrc_run      !   run information
+!-----------------------------------------------------------------------
+   ln_rsttr      = _AUTO_
+   nn_rsttr      = _AUTO_
+   ln_top_euler  = .true.
+/
+!-----------------------------------------------------------------------
+&namtrc          !   tracers definition
+!-----------------------------------------------------------------------
+   jp_bgc        =  24
+!
+   ln_pisces     =  .true.
+   ln_my_trc     =  .false.
+   ln_age        =  _AUTO_
+   ln_cfc11      =  _AUTO_ 
+   ln_cfc12      =  _AUTO_
+   ln_sf6        =  _AUTO_
+   ln_c14        =  _AUTO_
+!
+   ln_trcdta     =  .true.  !  Initialisation from data input file (T) or not (F)
+   ln_trcbc      =  .true.  !  Enables Boundary conditions
+   ln_trcais     =  .false. !  Antarctic Ice Sheet nutrient supply
+!                !           !                                          !             !
+!                !    name   !           title of the field              !   units     ! init    ! sbc    ! cbc    !  obc    !  ais
+   sn_tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration      ',  'mol-C/L' , .true.  , .false., .true. , .false. , .false.
+   sn_tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration         ',  'eq/L '   , .true.  , .false., .true. , .false. , .false.
+   sn_tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration         ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                  ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(5)   = 'PO4     ' , 'Phosphate Concentration                ',  'mol-C/L' , .true.  , .true. , .true. , .false. , .false.
+   sn_tracer(6)   = 'POC     ' , 'Small organic carbon Concentration     ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(7)   = 'Si      ' , 'Silicate Concentration                 ',  'mol-C/L' , .true.  , .true. , .true. , .false. , .false.
+   sn_tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration        ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration         ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration        ',  'mol-C/L' , .true.  , .false., .true. , .false. , .false.
+   sn_tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                  ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration          ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(13)  = 'DSi     ' , 'Diatoms Silicate Concentration         ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration           ',  'mol-C/L' , .true.  , .true. , .true. , .false. , .true.
+   sn_tracer(15)  = 'BFe     ' , 'Big iron particles Concentration       ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(16)  = 'GOC     ' , 'Big organic carbon Concentration       ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(17)  = 'SFe     ' , 'Small iron particles Concentration     ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration            ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(19)  = 'GSi     ' , 'Sinking biogenic Silicate Concentration',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(20)  = 'NFe     ' , 'Nano iron Concentration                ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration          ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration       ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'mol-C/L' , .true.  , .true. , .true. , .false. , .false.
+   sn_tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' , .false. , .false., .false., .false. , .false.                 !           !                                          !             !
+/
+!-----------------------------------------------------------------------
+&namage          !   AGE 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dta      !    Initialisation from data input file
+!-----------------------------------------------------------------------
+!                !  file name          ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!                !                     !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_trcdta(1)  = 'data_DIC_nomask.nc',        -12        ,  'PiDIC'   ,    .false.   , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(2)  = 'data_ALK_nomask.nc',        -12        ,  'TALK'    ,    .false.   , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(3)  = 'data_OXY_nomask.nc',        -12        ,  'O2'      ,    .false.    , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(5)  = 'data_PO4_nomask.nc',        -12        ,  'PO4'     ,    .false.    , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(7)  = 'data_SIL_nomask.nc',        -12        ,  'Si'      ,    .false.    , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(10) = 'data_DOC_nomask.nc',        -12        ,  'DOC'     ,    .false.    , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(14) = 'data_FER_nomask.nc',        -12        ,  'Fer'     ,    .false.    , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   sn_trcdta(23) = 'data_NO3_nomask.nc',        -12        ,  'NO3'     ,    .false.    , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
+   rn_trfac(1)   =   1.028e-06   !  multiplicative factor
+   rn_trfac(2)   =   1.028e-06   !  -      -      -     -
+   rn_trfac(3)   =  44.6e-06     !  -      -      -     -
+   rn_trfac(5)   = 117.0e-06     !  -      -      -     -
+   rn_trfac(7)   =   1.0e-06     !  -      -      -     -
+   rn_trfac(10)  =   1.0e-06     !  -      -      -     -
+   rn_trfac(14)  =   1.0e-06     !  -      -      -     -
+   rn_trfac(23)  =   7.3125e-06  !  -      -      -     -
+/
+!-----------------------------------------------------------------------
+&namtrc_adv      !   advection scheme for passive tracer                (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcadv_mus =  .true.  !  MUSCL scheme
+      ln_mus_ups =  .false.         !  use upstream scheme near river mouths
+/
+!-----------------------------------------------------------------------
+&namtrc_ldf      !   lateral diffusion scheme for passive tracer        (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_trcldf_tra   = .true.      !  use active tracer setting
+   rn_fact_lap     =     15.    !     enhanced zonal eddy diffusivity
+/
+!-----------------------------------------------------------------------
+&namtrc_rad      !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_snk      !  sedimentation of particles
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_dcy      !  Diurnal cycle
+!-----------------------------------------------------------------------
+   ln_trcdc2dm   =  .true.   !  Diurnal cycle for TOP
+/
+!-----------------------------------------------------------------------
+&namtrc_dmp      !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice      !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_trd      !   diagnostics on tracer trends                       ('key_trdtrc')
+!----------------------------------------------------------------------
+/
+!----------------------------------------------------------------------
+&namtrc_bc       !   data for boundary conditions
+!-----------------------------------------------------------------------
+!                !  file name  ! frequency (hours) ! variable      ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!                !             !  (if <0  months)  !   name        !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_trcsbc(5)  = 'dustdep'   ,       -1          , 'dustpo4'     ,  .true.      , .true. , 'yearly'  , 'weights_2D_r360x180_bilin.nc'       , ''    , ''
+   sn_trcsbc(7)  = 'dustdep'   ,       -1          , 'dustsi'      ,  .true.      , .true. , 'yearly'  , 'weights_2D_r360x180_bilin.nc'       , ''    , ''
+   sn_trcsbc(14) = 'dustdep'   ,       -1          , 'dustfer'     ,  .true.      , .true. , 'yearly'  , 'weights_2D_r360x180_bilin.nc'       , ''    , ''
+   sn_trcsbc(23) = 'nitdep'    ,       -12         , 'ndep2'       ,  .true.      , .true. , 'yearly'  , 'weights_2D_r360x180_bilin.nc'       , ''    , ''
+   rn_trsfac(5)  = 7.9258065e-02    !  (  0.021 / 31. * 117 )
+   rn_trsfac(7)  = 3.1316726e-01    !  ( 8.8   / 28.1 )
+   rn_trsfac(14) = 6.2667860e-04    !  (  0.035 / 55.85 )
+   rn_trsfac(23) = 5.2232143e-01    !  ( From kgN m-2 s-1 to molC l-1 ====> zfact = 7.3125/14 )
+   rn_sbc_time   =  1.          !  Time scaling factor for SBC and CBC data (seconds in a day)
+   !
+   sn_trccbc(1)  = 'river.orca' ,    -1            , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_trccbc(2)  = 'river.orca' ,    -1            , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_trccbc(5)  = 'river.orca' ,    -1            , 'riverdip'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_trccbc(7)  = 'river.orca' ,    -1            , 'riverdsi'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_trccbc(10) = 'river.orca' ,    -1            , 'riverdoc'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_trccbc(14) = 'river.orca' ,    -1            , 'riverdic'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   sn_trccbc(23) = 'river.orca' ,    -1            , 'riverdin'    ,  .true.      , .true. , 'yearly'  , ''       , ''    , ''
+   rn_trcfac(1)  = 8.333333e+01      !  ( data in Mg/m2/yr : 1e3/12/ryyss)
+   rn_trcfac(2)  = 8.333333e+01      !  ( 1e3 /12 )
+   rn_trcfac(5)  = 3.774193e+03   !  ( 1e3 / 31. * 117 )
+   rn_trcfac(7)  = 3.558719e+01   !  ( 1e3 / 28.1 )
+   rn_trcfac(10) = 8.333333e+01   !  ( 1e3 / 12
+   rn_trcfac(14) = 4.166667e-03   !  ( 1e3 / 12 * 5e-5 )
+   rn_trcfac(23) = 5.223214e+02   !  (  1e3 / 14 * 7.3125 )
+   rn_cbc_time   = 3.1536e+7      !  Time scaling factor for CBC data (seconds in a year)
+/
+!----------------------------------------------------------------------
+&namtrc_bdy      !   Setup of tracer boundary conditions
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ais      !  Representation of Antarctic Ice Sheet tracers supply
+!-----------------------------------------------------------------------
+   rn_trafac(14) =  4.476e-07   !  (  0.5e-3 / 55.85 * 0.05 )
+!
+   nn_ais_tr     =  0      !  tracer concentration in iceberg and ice shelf
+                           !    = 0 (null concentrations)
+                           !    = 1 prescribed concentrations
+   rn_icbdep     =  120.   ! Mean underwater depth of iceberg (m)
+/
